Bug 825740 - entry/data/metadata self-heals should be always on in self-heald.
entry/data/metadata self-heals should be always on in self-heald.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 06:34 EDT by Pranith Kumar K
Modified: 2013-07-24 13:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:51:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-05-28 06:34:59 EDT
Description of problem:
Volume set interface allows self-heal options to be configured. They should be applied only to mounts. Self-heald should not be affected by it. Use self-heal-daemon off to disable the self-healing on that volume from self-heald.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-06-01 02:54:02 EDT
the bug fix is only in upstream, not in release-3.3. Hence moving it out of the ON_QA, and setting MODIFIED (as a standard practice @ Red Hat)
Comment 2 Jeff Darcy 2012-10-31 09:33:21 EDT
ASSIGNED until Gerrit patch info appears here.
Comment 3 Jeff Darcy 2012-10-31 16:58:03 EDT
http://review.gluster.org/3481 for master
http://review.gluster.org/3461 for 3.3

Note You need to log in before you can comment on or make changes to this bug.